export declare class BasicThemeClass {
    static baseFontFamily: string;
    static labGrotesqueBaselineCompensation: string;
    static brand: string;
    static white: string;
    static grayXLight: string;
    static gray: string;
    static grayDark: string;
    static black: string;
    static blueXxLight: string;
    static blueLight: string;
    static blue: string;
    static greenXxLight: string;
    static green: string;
    static greenDark: string;
    static red: string;
    static redXxLight: string;
    static redDark: string;
    static yellowXxLight: string;
    static yellow: string;
    static yellowDark: string;
    static bgDefault: string;
    static get bgSecondary(): string;
    static bgDisabled: string;
    static get errorMain(): string;
    static get errorText(): string;
    static get errorSecondary(): string;
    static warningMain: string;
    static warningSecondary: string;
    static warningText: string;
    static closeGrayColor: string;
    static borderColorFocusLight: string;
    static borderColorGrayDark: string;
    static borderColorGrayLight: string;
    static borderColorDisabled: string;
    static placeholderColor: string;
    static outlineColorFocus: string;
    static placeholderColorLight: string;
    static blinkColor: string;
    static controlBorderWidth: string;
    static controlOutlineWidth: string;
    static controlLineHeightSmall: string;
    static controlLineHeightMedium: string;
    static controlLineHeightLarge: string;
    static controlPaddingYSmall: string;
    static controlPaddingYMedium: string;
    static controlPaddingYLarge: string;
    static textColorDefault: string;
    static textColorInvert: string;
    static textColorDisabled: string;
    static textColorDisabledContrast: string;
    static fontSizeSmall: string;
    static fontSizeMedium: string;
    static fontSizeLarge: string;
    static fontSizeMobile: string;
    static lineHeightMobile: string;
    static specificityLevel: string;
    static fixedPanelShadow: string;
    static bgActive: string;
    static bgChecked: string;
    static borderColorFocus: string;
    static get borderColorError(): string;
    static get borderColorWarning(): string;
    static controlHeightSmall: string;
    static controlHeightMedium: string;
    static controlHeightLarge: string;
    static mobileMediaQuery: string;
    static transitionDuration: string;
    static transitionTimingFunction: string;
    static linkColor: string;
    static linkTextDecoration: string;
    static get linkHoverColor(): string;
    static linkActiveColor: string;
    static linkHoverTextDecoration: string;
    static get linkSuccessColor(): string;
    static get linkSuccessHoverColor(): string;
    static linkSuccessActiveColor: string;
    static get linkDangerColor(): string;
    static linkDangerHoverColor: string;
    static linkDangerActiveColor: string;
    static linkIconMarginRight: string;
    static linkIconMarginLeft: string;
    static get linkDisabledColor(): string;
    static linkGrayedColor: string;
    static linkGrayedHoverColor: string;
    static linkGrayedActiveColor: string;
    static linkButtonLineHeight: string;
    static linkButtonPaddingX: string;
    static linkTextDecorationStyle: string;
    static linkTextDecorationThickness: string;
    static linkTextUnderlineOffset: string;
    static get linkHoverTextDecorationStyle(): string;
    static linkTextUnderlineOpacity: string;
    static linkTextDecorationColor: string;
    static linkLineBorderBottomStyle: string;
    static get linkLineHoverBorderBottomStyle(): string;
    static linkLineBorderBottomWidth: string;
    static linkLineBorderBottomOpacity: string;
    static linkLineBorderBottomColor: string;
    static linkFocusOutlineColor: string;
    static get linkFocusOutlineWidth(): string;
    static get linkFocusOutline(): string;
    static tokenDisabledBg: string;
    static get tokenTextColorDisabled(): string;
    static get tokenFontSizeSmall(): string;
    static get tokenFontSizeMedium(): string;
    static get tokenFontSizeLarge(): string;
    static tokenMarginYSmall: string;
    static tokenMarginXSmall: string;
    static tokenMarginYMedium: string;
    static tokenMarginXMedium: string;
    static tokenMarginYLarge: string;
    static tokenMarginXLarge: string;
    static get tokenLineHeightSmall(): string;
    static get tokenLineHeightMedium(): string;
    static get tokenLineHeightLarge(): string;
    static tokenPaddingYSmall: string;
    static tokenPaddingXSmall: string;
    static tokenPaddingYMedium: string;
    static tokenPaddingXMedium: string;
    static tokenPaddingYLarge: string;
    static tokenPaddingXLarge: string;
    static tokenMarginBeforeIcon: string;
    static tokenRemoveIconSize: string;
    static tokenRemoveIconPaddingY: string;
    static tokenRemoveIconPaddingX: string;
    static tokenRemoveIconGap: string;
    static tokenRemoveIconBoxSizing: string;
    static tokenBorderRadius: string;
    static tokenBorderWidth: string;
    static tokenBorderColorDisabled: string;
    static get tokenBorderColorWarning(): string;
    static get tokenBorderColorError(): string;
    static tokenOutlineWidth: string;
    static get tokenPaddingYDisabled(): string;
    static get tokenPaddingXDisabled(): string;
    static get tokenMarginYDisabled(): string;
    static get tokenMarginXDisabled(): string;
    static tokenShadowDisabled: string;
    static tokenBg: string;
    static tokenColor: string;
    static tokenBorderColor: string;
    static tokenBgHover: string;
    static tokenColorHover: string;
    static tokenBorderColorHover: string;
    static tokenBgActive: string;
    static tokenColorActive: string;
    static tokenBorderColorActive: string;
    static get tokenInputLineHeightSmall(): string;
    static get tokenInputLineHeightMedium(): string;
    static get tokenInputLineHeightLarge(): string;
    static get tokenInputBorderColor(): string;
    static get tokenInputBorderColorHover(): string;
    static get tokenInputBorderColorFocus(): string;
    static get tokenInputBorderColorError(): string;
    static get tokenInputBorderColorWarning(): string;
    static get tokenInputBorderTopColor(): string;
    static tokenInputBorderRadius: string;
    static get tokenInputPlaceholderColor(): string;
    static get tokenInputPlaceholderColorLight(): string;
    static get tokenInputDisabledBg(): string;
    static get tokenInputDisabledBorderColor(): string;
    static get tokenInputBorderWidth(): string;
    static get tokenInputOutlineWidth(): string;
    static get tokenInputBg(): string;
    static tokenInputMenuPopupBg: string;
    static get tokenInputShadow(): string;
    static get tokenInputTextColor(): string;
    static get tokenInputTextColorDisabled(): string;
    static get tokenInputPlaceholderColorDisabled(): string;
    static tokenInputPaddingYSmall: string;
    static tokenInputPaddingXSmall: string;
    static tokenInputPaddingYMedium: string;
    static tokenInputPaddingXMedium: string;
    static tokenInputPaddingYLarge: string;
    static tokenInputPaddingXLarge: string;
    static tokenInputPopupOffset: string;
    static tokenInputPopupMarginSmall: string;
    static tokenInputPopupMarginMedium: string;
    static tokenInputPopupMarginLarge: string;
    static loaderBg: string;
    static loaderOpacity: string;
    static loaderBorderRadius: string;
    static btnBackgroundClip: string;
    static btnLinkBorderRadius: string;
    static btnFocusShadowWidth: string;
    static btnBorderColorTransition: string;
    static btnDisabledBorderColor: string;
    static btnCheckedBg: string;
    static btnCheckedDisabledBg: string;
    static btnCheckedDisabledColor: string;
    static btnCheckedTextColor: string;
    static get btnCheckedDisabledBorderColor(): string;
    static btnCheckedShadow: string;
    static btnCheckedDisabledShadow: string;
    static btnBorderRadiusSmall: string;
    static btnBorderRadiusMedium: string;
    static btnBorderRadiusLarge: string;
    static get btnBorderWidth(): string;
    static btnInsetWidth: string;
    static get btnOutlineWidth(): string;
    static btnPaddingXSmall: string;
    static btnPaddingXMedium: string;
    static btnPaddingXLarge: string;
    static btnIconGapSmallLeft: string;
    static get btnIconGapSmallRight(): string;
    static btnIconGapMediumLeft: string;
    static get btnIconGapMediumRight(): string;
    static btnIconGapLargeLeft: string;
    static get btnIconGapLargeRight(): string;
    static btnIconSizeSmall: string;
    static btnIconSizeMedium: string;
    static btnIconSizeLarge: string;
    static btnDefaultBg: string;
    static btnDefaultBgStart: string;
    static btnDefaultBgEnd: string;
    static get btnDefaultCheckedBorderColor(): string;
    static get btnDefaultTextColor(): string;
    static btnDefaultHoverBg: string;
    static btnDefaultHoverBgStart: string;
    static btnDefaultHoverBgEnd: string;
    static btnDefaultActiveBg: string;
    static get btnDefaultHoverBorderColor(): string;
    static btnDefaultHoverTextColor: string;
    static get btnDefaultActiveBorderColor(): string;
    static btnDefaultBorderColor: string;
    static btnDefaultActiveShadow: string;
    static btnSuccessBg: string;
    static btnSuccessBorderColor: string;
    static btnSuccessHoverBg: string;
    static btnSuccessHoverBorderColor: string;
    static btnSuccessHoverTextColor: string;
    static btnSuccessBgStart: string;
    static btnSuccessBgEnd: string;
    static btnSuccessTextColor: string;
    static btnSuccessHoverBgStart: string;
    static btnSuccessHoverBgEnd: string;
    static btnSuccessActiveBg: string;
    static btnSuccessActiveBorderColor: string;
    static btnSuccessActiveShadow: string;
    static btnPrimaryBg: string;
    static btnPrimaryHoverBg: string;
    static btnPrimaryActiveBg: string;
    static btnPrimaryHoverTextColor: string;
    static btnPrimaryBorderColor: string;
    static btnPrimaryHoverBorderColor: string;
    static btnPrimaryActiveBorderColor: string;
    static btnPrimaryBgStart: string;
    static btnPrimaryBgEnd: string;
    static btnPrimaryTextColor: string;
    static btnPrimaryHoverBgStart: string;
    static btnPrimaryHoverBgEnd: string;
    static btnPrimaryActiveShadow: string;
    static get btnDangerBg(): string;
    static get btnDangerBorderColor(): string;
    static btnDangerHoverBg: string;
    static btnDangerHoverBorderColor: string;
    static btnDangerHoverTextColor: string;
    static btnDangerBgStart: string;
    static btnDangerBgEnd: string;
    static btnDangerTextColor: string;
    static btnDangerHoverBgStart: string;
    static btnDangerHoverBgEnd: string;
    static btnDangerActiveBg: string;
    static get btnDangerActiveBorderColor(): string;
    static btnDangerActiveShadow: string;
    static btnPayBg: string;
    static btnPayHoverBg: string;
    static btnPayHoverBorderColor: string;
    static btnPayHoverTextColor: string;
    static btnPayBorderColor: string;
    static btnPayBgStart: string;
    static btnPayBgEnd: string;
    static get btnPayTextColor(): string;
    static btnPayHoverBgStart: string;
    static btnPayHoverBgEnd: string;
    static btnPayActiveBg: string;
    static btnPayActiveBorderColor: string;
    static btnPayActiveShadow: string;
    static btnMenuArrowColor: string;
    static get btnFontSizeSmall(): string;
    static get btnFontSizeMedium(): string;
    static get btnFontSizeLarge(): string;
    static get btnLineHeightSmall(): string;
    static get btnLineHeightMedium(): string;
    static get btnLineHeightLarge(): string;
    static get btnPaddingYSmall(): string;
    static get btnPaddingYMedium(): string;
    static get btnPaddingYLarge(): string;
    static btnDisabledBg: string;
    static get btnBorderColorWarning(): string;
    static get btnBorderColorError(): string;
    static get btnHeightSmall(): string;
    static get btnHeightMedium(): string;
    static get btnHeightLarge(): string;
    static get btnLinkColor(): string;
    static get btnLinkHoverColor(): string;
    static get btnLinkActiveColor(): string;
    static get btnLinkHoverTextDecoration(): string;
    static get btnLinkTextDecorationColor(): string;
    static get btnLinkTextDecorationStyle(): string;
    static get btnLinkHoverTextDecorationStyle(): string;
    static get btnLinkTextUnderlineOffset(): string;
    static get btnLinkTextDecorationThickness(): string;
    static get btnLinkTextUnderlineOpacity(): string;
    static get btnLinkLineBorderBottomStyle(): string;
    static get btnLinkHoverLineBorderBottomStyle(): string;
    static get btnLinkLineBorderBottomWidth(): string;
    static get btnLinkLineBorderBottomOpacity(): string;
    static get btnLinkIconMarginRight(): string;
    static get btnLinkIconMarginLeft(): string;
    static get btnErrorSecondary(): string;
    static get btnWarningSecondary(): string;
    static get btnOutlineColorFocus(): string;
    static btnInsetColor: string;
    static get btnBorderColorFocus(): string;
    static get btnLinkDisabledColor(): string;
    static get btnDisabledTextColor(): string;
    static btnBacklessBg: string;
    static btnBacklessHoverBg: string;
    static btnBacklessActiveBg: string;
    static get btnBacklessActiveBorderColor(): string;
    static get btnBacklessBorderColor(): string;
    static get btnBacklessDisabledBorderColor(): string;
    static get btnBacklessHoverBorderColor(): string;
    static btnBacklessHoverTextColor: string;
    static get btnBacklessTextColor(): string;
    static btnTextBg: string;
    static btnTextHoverBg: string;
    static btnTextActiveBg: string;
    static get btnTextBorderColor(): string;
    static get btnTextTextColor(): string;
    static btnTextHoverTextColor: string;
    static get btnTextHoverBorderColor(): string;
    /** @deprecated use btnWithIconPadding[Small/Medium/Large] instead */
    static get btnWithIconPaddingLeftSmall(): string;
    static get btnWithIconPaddingLeftMedium(): string;
    static get btnWithIconPaddingLeftLarge(): string;
    static btnWithIconPaddingSmall: string;
    static btnWithIconPaddingMedium: string;
    static btnWithIconPaddingLarge: string;
    static btnIconColor: string;
    static btnIconHoverColor: string;
    static btnIconDisabledColor: string;
    static get selectDefaultBg(): string;
    static selectPlaceholderColor: string;
    static get selectBorderWidth(): string;
    static get selectPlaceholderColorDisabled(): string;
    static get selectOutlineWidth(): string;
    static get selectLineHeightSmall(): string;
    static get selectFontSizeSmall(): string;
    static selectPaddingXSmall: string;
    static get selectPaddingYSmall(): string;
    static get selectBorderRadiusSmall(): string;
    static get selectBorderRadiusMedium(): string;
    static get selectBorderRadiusLarge(): string;
    static get selectIconGapSmall(): string;
    static get selectIconGapMedium(): string;
    static get selectIconGapLarge(): string;
    static get selectLineHeightMedium(): string;
    static get selectFontSizeMedium(): string;
    static selectPaddingXMedium: string;
    static get selectPaddingYMedium(): string;
    static get selectLineHeightLarge(): string;
    static get selectFontSizeLarge(): string;
    static selectPaddingXLarge: string;
    static get selectPaddingYLarge(): string;
    static get selectMenuArrowColor(): string;
    static get selectMenuArrowColorDisabled(): string;
    static get selectIconSizeSmall(): string;
    static get selectIconSizeMedium(): string;
    static get selectIconSizeLarge(): string;
    static selectRootWidthMobile: string;
    static mobileSelectMaxWidth: string;
    static get selectTextColorDisabled(): string;
    static get selectBgDisabled(): string;
    static get selectBorderColorDisabled(): string;
    static get selectMenuOffsetY(): string;
    static get selectBorderColorHover(): string;
    static selectBorderColorTransition: string;
    /** @deprecated Эта переменная устарела при появлении размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipPaddingYSmall `tooltipPaddingYSmall`} */
    static tooltipPaddingY: string;
    /** @deprecated Эта переменная устарела при появлении размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipPaddingXSmall `tooltipPaddingXSmall`} */
    static tooltipPaddingX: string;
    static tooltipPaddingYSmall: string;
    static tooltipPaddingXSmall: string;
    static tooltipPaddingYMedium: string;
    static tooltipPaddingXMedium: string;
    static tooltipPaddingYLarge: string;
    static tooltipPaddingXLarge: string;
    /** @deprecated Переменная устарела с появлением размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipCloseBtnPaddingSmall `tooltipCloseBtnPaddingSmall`} */
    static tooltipCloseBtnPadding: string;
    static tooltipCloseBtnPaddingSmall: string;
    static tooltipCloseBtnPaddingMedium: string;
    static tooltipCloseBtnPaddingLarge: string;
    static tooltipCloseBtnSide: string;
    static get tooltipCloseBtnColor(): string;
    static tooltipCloseBtnHoverColor: string;
    static get tooltipTextColor(): string;
    static tooltipBg: string;
    static get tooltipBorder(): string;
    /** @deprecated Переменная устарела с появлением размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipBorderRadiusSmall `tooltipBorderRadiusSmall`} */
    static tooltipBorderRadius: string;
    static tooltipBorderRadiusSmall: string;
    static tooltipBorderRadiusMedium: string;
    static tooltipBorderRadiusLarge: string;
    /** @deprecated Переменная устарела с появлением размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipPinOffsetYSmall `tooltipPinOffsetYSmall`} */
    static tooltipPinOffsetY: string;
    static tooltipPinOffsetYSmall: string;
    static tooltipPinOffsetYMedium: string;
    static tooltipPinOffsetYLarge: string;
    /** @deprecated Переменная устарела с появлением размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipPinOffsetXSmall `tooltipPinOffsetXSmall` */
    static tooltipPinOffsetX: string;
    static tooltipPinOffsetXSmall: string;
    static tooltipPinOffsetXMedium: string;
    static tooltipPinOffsetXLarge: string;
    /** @deprecated Переменная устарела с появлением размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipMarginSmall `tooltipMarginSmall`} */
    static tooltipMargin: string;
    static tooltipMarginSmall: string;
    static tooltipMarginMedium: string;
    static tooltipMarginLarge: string;
    /** @deprecated Переменная устарела с появлением размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipPinSizeSmall `tooltipPinSizeSmall`} */
    static get tooltipPinSize(): string;
    static tooltipPinSizeSmall: string;
    static tooltipPinSizeMedium: string;
    static tooltipPinSizeLarge: string;
    /** @deprecated Переменная устарела с появлением размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipFontSizeSmall `tooltipFontSizeSmall`} */
    static get tooltipFontSize(): string;
    static get tooltipFontSizeSmall(): string;
    static get tooltipFontSizeMedium(): string;
    static get tooltipFontSizeLarge(): string;
    /** @deprecated Переменная устарела с появлением размеров у `Tooltip` и будет удалена в `6.0`.
     * @see {@link tooltipLineHeightSmall `tooltipLineHeightSmall`} */
    static get tooltipLineHeight(): string;
    static get tooltipLineHeightSmall(): string;
    static get tooltipLineHeightMedium(): string;
    static get tooltipLineHeightLarge(): string;
    static get tooltipMenuPinOffsetX(): string;
    static get tooltipMenuPinOffsetY(): string;
    static get tooltipMenuMargin(): string;
    static get tooltipMenuPinSize(): string;
    static kebabMargin: string;
    static kebabBackground: string;
    static kebabBackgroundHover: string;
    static kebabBackgroundActive: string;
    static kebabBorderRadius: string;
    static kebabBorder: string;
    static kebabSizeSmall: string;
    static kebabSizeMedium: string;
    static kebabSizeLarge: string;
    static kebabIconSizeSmall: string;
    static kebabIconSizeMedium: string;
    static kebabIconSizeLarge: string;
    static kebabIconColor: string;
    static modalWindowShadow: string;
    static modalBackBg: string;
    static get modalBg(): string;
    static modalBackOpacity: string;
    static get modalCloseButtonColor(): string;
    static modalCloseButtonDisabledColor: string;
    static modalCloseButtonHoverColor: string;
    static modalCloseButtonPadding: string;
    static modalCloseButtonBottomPadding: string;
    /** @deprecated use modalCloseButtonClickArea[Top/Bottom/Left/Right] instead */
    static modalCloseButtonClickArea: string;
    static modalCloseButtonClickAreaTop: string;
    static modalCloseButtonClickAreaBottom: string;
    static modalCloseButtonClickAreaLeft: string;
    static modalCloseButtonClickAreaRight: string;
    static modalCloseIconSize: string;
    static modalBorderRadius: string;
    static get modalFixedHeaderBg(): string;
    static get modalFixedHeaderShadow(): string;
    static modalFixedHeaderBorder: string;
    static modalFixedFooterBorder: string;
    static get modalFixedFooterShadow(): string;
    static modalFixedPanelShadow: string;
    static get modalFooterBg(): string;
    static modalAdaptiveThreshold: string;
    static modalPaddingTop: string;
    static modalPaddingLeft: string;
    static modalPaddingRight: string;
    static modalHeaderFontSize: string;
    static modalHeaderFontWeight: string;
    static get modalHeaderTextColor(): string;
    static modalHeaderLineHeight: string;
    static modalHeaderPaddingBottom: string;
    static modalHeaderPaddingTop: string;
    static get modalHeaderAdditionalPaddingBottom(): string;
    static modalFixedHeaderMarginBottom: string;
    static get modalFixedHeaderPaddingBottom(): string;
    static get modalFixedFooterPaddingTop(): string;
    static modalFixedFooterMarginTop: string;
    static modalSeparatorBorderBottom: string;
    static modalSeparatorMargin: string;
    static modalSeparatorFixedMargin: string;
    static modalBodyTextColor: string;
    static modalFooterTextColor: string;
    static modalBodyPaddingTop: string;
    static modalBodyPaddingBottom: string;
    static modalBodyBorderRadius: string;
    static modalFooterPaddingTop: string;
    static modalFooterPaddingBottom: string;
    static modalPaddingBottom: string;
    static modalFooterPanelPaddingTop: string;
    static get modalFooterPanelPaddingBottom(): string;
    static mobileModalCloseButtonRightPadding: string;
    static mobileModalCloseButtonTopPadding: string;
    static mobileModalCloseButtonClickArea: string;
    static mobileModalWithoutHeaderCloseButtonPadding: string;
    static get mobileModalWithoutHeaderCloseButtonWidth(): string;
    static mobileModalCloseIconSize: string;
    static mobileModalHeaderFontSize: string;
    static mobileModalHeaderLineHeight: string;
    static mobileModalHeaderPadding: string;
    static mobileModalBodyPadding: string;
    static mobileModalBodyPaddingTop: string;
    static mobileModalBodyPaddingBottom: string;
    static mobileModalBodyFontSize: string;
    static mobileModalFooterPadding: string;
    static mobileModalPaddingBottom: string;
    static mobileModalContainerHeight: string;
    static mobileModalContainerMarginTop: string;
    static mobileModalContainerMarginRight: string;
    static mobileModalContainerMarginBottom: string;
    static mobileModalContainerMarginLeft: string;
    static get sidePageFooterPanelBg(): string;
    static sidePageBackingBg: string;
    static sidePageBackingBgOpacity: string;
    static sidePageCloseButtonColor: string;
    static sidePageCloseButtonHoverColor: string;
    static sidePageContainerShadow: string;
    static mobileSidePagePaddingLeft: string;
    static mobileSidePagePaddingRight: string;
    static mobileSidePagePaddingTop: string;
    static mobileSidePagePaddingBottom: string;
    static mobileSidePageFooterPadding: string;
    static sidePagePaddingLeft: string;
    static sidePagePaddingRight: string;
    static sidePagePaddingTop: string;
    static sidePagePaddingBottom: string;
    static sidePageFooterPaddingTop: string;
    static sidePageFooterPaddingBottom: string;
    static sidePageBgDefault: string;
    static get sidePageHeaderTextColor(): string;
    static sidePageBodyTextColor: string;
    static sidePageFooterTextColor: string;
    static sidePageHeaderFontSize: string;
    static sidePageHeaderLineHeight: string;
    static sidePageHeaderPaddingBottom: string;
    static sidePageHeaderPaddingTop: string;
    static sidePageHeaderFixedFontSize: string;
    static sidePageHeaderFixedLineHeight: string;
    static sidePageHeaderFixedPaddingY: string;
    static sidePageHeaderStickyOffset: string;
    /** @deprecated use sidePageCloseButtonClickAreaLeft and sidePageCloseButtonClickAreaRight instead */
    static sidePageCloseButtonPadding: string;
    static mobileSidePageCloseButtonPadding: string;
    static get sidePageFooterPanelPaddingTop(): string;
    static get sidePageFooterPanelPaddingBottom(): string;
    static sidePageCloseIconSize: string;
    /** @deprecated use sidePageCloseButtonClickArea[Top/Bottom/Left/Right] instead */
    static sidePageCloseButtonClickArea: string;
    static sidePageCloseButtonClickAreaTop: string;
    static sidePageCloseButtonClickAreaBottom: string;
    static sidePageCloseButtonClickAreaLeft: string;
    static sidePageCloseButtonClickAreaRight: string;
    static get sidePageCloseButtonFixedClickAreaTop(): string;
    static sidePageCloseButtonFixedClickAreaBottom: string;
    static mobileSidePageCloseButtonClickArea: string;
    static get sidePageFixedHeaderShadow(): string;
    static get sidePageFixedFooterShadow(): string;
    static sidePageFixedPanelShadow: string;
    static mobileSidePageHeaderFontSize: string;
    static mobileSidePageHeaderLineHeight: string;
    static mobileSidePageHeaderPaddingBottom: string;
    static mobileSidePageHeaderPaddingTop: string;
    /** @deprecated use mobileSidePageCloseButtonPadding instead */
    static mobileSidePageCloseButtonRightPadding: string;
    static sidePageHeaderFontWeight: string;
    static sidePageCloseButtonWrapperOffsetTop: string;
    static sidePageCloseButtonWrapperFixedOffsetTop: string;
    static get dateInputIconColor(): string;
    static dateInputMaskColor: string;
    static dateInputComponentSelectedBgColor: string;
    static dateInputComponentSelectedTextColor: string;
    static get calendarBottomSeparatorBorderColor(): string;
    static get calendarBottomSeparatorBorderWidth(): string;
    static get calendarBottomSeparatorBorder(): string;
    static get calendarBg(): string;
    static calendarBorderRadius: string;
    static get calendarCellBg(): string;
    static calendarCellHoverColor: string;
    static calendarCellActiveHoverColor: string;
    static get calendarCellWeekendColor(): string;
    static calendarCellTodayBorder: string;
    static calendarCellBorderRadius: string;
    static calendarCellSelectedBgColor: string;
    static calendarCellSelectedFontColor: string;
    static calendarCellHeight: string;
    static get calendarCellWidth(): string;
    static calendarCellFontSize: string;
    static get calendarCellLineHeight(): string;
    static get calendarMonthHeaderStickedBgColor(): string;
    static calendarMonthTitleBorderBottomColor: string;
    static calendarCellHoverBgColor: string;
    static calendarPaddingX: string;
    static calendarMonthTitleLineHeight: string;
    static calendarMonthTitlePaddingTop: string;
    static calendarMonthTitlePaddingBottom: string;
    static calendarMonthTitleMarginX: string;
    static calendarMonthTitleMarginBottom: string;
    static calendarWrapperHeight: string;
    static calendarMonthMarginBottom: string;
    static calendarMaxMonthsToAppendOnScroll: string;
    static calendarGridRowSpacing: string;
    static get datePickerOpenBtnColor(): string;
    static get datePickerMenuOffsetY(): string;
    static pickerShadow: string;
    static mobileCalendarPaddingX: string;
    static mobileCalendarCellWidth: string;
    static mobileCalendarCellHeight: string;
    static mobileCalendarCellBorderRadius: string;
    static mobileCalendarCellFontSize: string;
    static mobileCalendarGridRowSpacing: string;
    static mobileCalendarWrapperHeight: string;
    static rangeCalendarCellBg: string;
    static rangeCalendarCellEndBg: string;
    static rangeCalendarCellEndColor: string;
    static rangeCalendarCellHoverBg: string;
    static rangeCalendarWrapperHeight: string;
    static mobileRangeCalendarCellHeight: string;
    static mobileRangeCalendarCellWidth: string;
    static mobileRangeCalendarGridRowSpacing: string;
    static mobileRangeCalendarWrapperHeight: string;
    static get dateSelectMenuBg(): string;
    static dateSelectMenuItemBgActive: string;
    static get dateSelectMenuItemBgDisabled(): string;
    static dateSelectMenuItemFontActive: string;
    static get dateSelectMenuItemFontSelected(): string;
    static get dateSelectMenuItemFontDisabled(): string;
    static dateSelectLineHeight: string;
    static dateSelectFontSize: string;
    static dateSelectFontWeight: string;
    static dateSelectMenuItemBgSelected: string;
    static get dateSelectTextColorDisabled(): string;
    static get dateSelectTextColorDefault(): string;
    static get dateSelectLinkColor(): string;
    static get dateSelectPopupBoxShadow(): string;
    static dateSelectTextColorInvert: string;
    static mobileDateSelectFontSize: string;
    static mobileDateSelectLineHeight: string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0`
     * @see {@link pagingFontSizeSmall `pagingFontSizeSmall`} */
    static get pagingFontSize(): string;
    static get pagingFontSizeSmall(): string;
    static get pagingFontSizeMedium(): string;
    static get pagingFontSizeLarge(): string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0`
     * @see {@link pagingLineHeightSmall `pagingLineHeightSmall`} */
    static pagingLineHeight: string;
    static get pagingLineHeightSmall(): string;
    static get pagingLineHeightMedium(): string;
    static get pagingLineHeightLarge(): string;
    static pagingPageLinkBoxSizing: string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0` */
    static pagingPageLinkMinWidth: string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0`
     * @see {@link pagingPageLinkPaddingYSmall `pagingPageLinkPaddingYSmall`} */
    static pagingPageLinkPaddingY: string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0`
     * @see {@link pagingPageLinkPaddingXSmall `pagingPageLinkPaddingXSmall`} */
    static pagingPageLinkPaddingX: string;
    static pagingPageLinkPaddingYSmall: string;
    static pagingPageLinkPaddingXSmall: string;
    static pagingPageLinkPaddingYMedium: string;
    static pagingPageLinkPaddingXMedium: string;
    static pagingPageLinkPaddingYLarge: string;
    static pagingPageLinkPaddingXLarge: string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0` */
    static pagingPageLinkMargin: string;
    static pagingPageLinkBorderRadius: string;
    static get pagingPageLinkColor(): string;
    static get pagingPageLinkActiveColor(): string;
    static pagingPageLinkActiveBg: string;
    static pagingPageLinkDisabledActiveBg: string;
    static pagingPageLinkHoverBg: string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0` */
    static pagingPageForwardLinkMarginTop: string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0` */
    static pagingPageForwardLinkMarginLeft: string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0` */
    static get pagingPageForwardLinkPaddingRight(): string;
    static pagingForwardLinkPaddingSmall: string;
    static pagingForwardLinkPaddingMedium: string;
    static pagingForwardLinkPaddingLarge: string;
    static pagingForwardLinkPaddingMediumMobile: string;
    static pagingForwardLinkPaddingLargeMobile: string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0` */
    static get pagingForwardIconSize(): string;
    static get pagingForwardLinkColor(): string;
    static get pagingForwardLinkDisabledColor(): string;
    /** @deprecated Это переменная старого размера `Paging` и будет удалена в `6.0`
     * @see {@link pagingDotsPaddingSmall `pagingDotsPaddingSmall`} */
    static pagingDotsPadding: string;
    static pagingDotsPaddingSmall: string;
    static pagingDotsPaddingMedium: string;
    static pagingDotsPaddingLarge: string;
    static pagingDotsColor: string;
    static get pagingDotsDisabledColor(): string;
    static pagingPageLinkHintFontSize: string;
    static pagingPageLinkHintLineHeight: string;
    static pagingPageLinkHintMargin: string;
    static get pagingPageLinkHintColor(): string;
    static get hintColor(): string;
    static get mobileHintColor(): string;
    static get hintFontSize(): string;
    static get hintLineHeight(): string;
    static hintMaxWidth: string;
    static hintPaddingY: string;
    static hintPaddingX: string;
    static hintTextAlign: string;
    static hintBgColor: string;
    static hintBorder: string;
    static hintBorderRadius: string;
    static hintMargin: string;
    static get toastFontSize(): string;
    static get toastLineHeight(): string;
    static toastPaddingY: string;
    static toastPaddingX: string;
    static toastBorderRadius: string;
    static toastBorder: string;
    static toastTop: string;
    static toastBg: string;
    static toastErrorBg: string;
    static toastColor: string;
    static toastColorError: string;
    static toastLinkColor: string;
    static toastLinkColorError: string;
    static toastLinkTextDecorationHover: string;
    static toastLinkBgHover: string;
    static toastLinkBgHoverError: string;
    static toastLinkBgActive: string;
    static toastLinkBgActiveError: string;
    static toastLinkColorActiveError: string;
    static toastLinkPadding: string;
    static toastClosePadding: string;
    static toastCloseColor: string;
    static toastCloseColorError: string;
    static toastCloseHoverColor: string;
    static toastCloseHoverColorError: string;
    static toastCloseSize: string;
    static dropdownMenuBorderColorTransition: string;
    static get dropdownMenuHoverBorderColor(): string;
    static get dropdownMenuOffsetY(): string;
    static get dropdownMenuMenuOffsetY(): string;
    static dropdownMenuMenuBoxSizing: string;
    static dropdownButtonBorderRadiusSmall: string;
    static dropdownButtonBorderRadiusMedium: string;
    static dropdownButtonBorderRadiusLarge: string;
    static get dropdownDefaultBg(): string;
    static get dropdownBorderWidth(): string;
    static get dropdownOutlineWidth(): string;
    static get dropdownLineHeightSmall(): string;
    static get dropdownFontSizeSmall(): string;
    static get dropdownPaddingXSmall(): string;
    static get dropdownPaddingYSmall(): string;
    static get dropdownIconSizeSmall(): string;
    static get dropdownLineHeightMedium(): string;
    static get dropdownFontSizeMedium(): string;
    static get dropdownPaddingXMedium(): string;
    static get dropdownPaddingYMedium(): string;
    static get dropdownIconSizeMedium(): string;
    static get dropdownLineHeightLarge(): string;
    static get dropdownFontSizeLarge(): string;
    static get dropdownPaddingXLarge(): string;
    static get dropdownPaddingYLarge(): string;
    static get dropdownIconSizeLarge(): string;
    static get dropdownBgDisabled(): string;
    static get dropdownBorderColorDisabled(): string;
    static get dropdownTextColorDisabled(): string;
    static get menuBgDefault(): string;
    static menuBorderRadius: string;
    static menuBorder: string;
    static menuShadow: string;
    static menuPaddingY: string;
    static menuScrollContainerContentWrapperPaddingY: string;
    static mobileMenuPaddingY: string;
    static mobileMenuScrollContainerContentWrapperPaddingY: string;
    static menuPaddingX: string;
    static mobileMenuPaddingX: string;
    static menuOffsetY: string;
    static menuBoxSizing: string;
    static get menuItemTextColor(): string;
    static menuItemSelectedBg: string;
    static menuItemHoverBg: string;
    static menuItemIconWidthSmall: string;
    static menuItemIconWidthMedium: string;
    static menuItemIconWidthLarge: string;
    static menuItemIconGap: string;
    static get menuItemPaddingForIconSmall(): string;
    static get menuItemPaddingForIconMedium(): string;
    static get menuItemPaddingForIconLarge(): string;
    static get menuItemLineHeightSmall(): string;
    static get menuItemLineHeightMedium(): string;
    static get menuItemLineHeightLarge(): string;
    static get menuItemFontSizeSmall(): string;
    static get menuItemFontSizeMedium(): string;
    static get menuItemFontSizeLarge(): string;
    static menuItemPaddingXSmall: string;
    static menuItemPaddingYSmall: string;
    static menuItemPaddingXMedium: string;
    static menuItemPaddingYMedium: string;
    static menuItemPaddingXLarge: string;
    static menuItemPaddingYLarge: string;
    static menuItemBorderRadius: string;
    static get menuItemHoverColor(): string;
    /**
     * @deprecated
     */
    static get menuItemLinkColor(): string;
    static get menuItemCommentColor(): string;
    static menuItemCommentOpacity: string;
    static menuItemCommentOpacityHover: string;
    static get menuItemCommentColorHover(): string;
    static menuItemDisplay: string;
    static menuItemPaddingMobile: string;
    static get menuItemLineHeightMobile(): string;
    static get menuItemFontSizeMobile(): string;
    static get menuItemDisabledColor(): string;
    static menuItemDisabledBg: string;
    static get menuMessageTextColor(): string;
    static get menuMessageBg(): string;
    static get menuMessagePaddingY(): string;
    static get menuMessagePaddingX(): string;
    static get menuMessageDisplay(): string;
    static get menuMessagePaddingMobile(): string;
    static get menuMessageLineHeightMobile(): string;
    static get menuMessageFontSizeMobile(): string;
    static get menuMessageFontSizeSmall(): string;
    static get menuMessageFontSizeMedium(): string;
    static get menuMessageFontSizeLarge(): string;
    static get menuMessageLineHeightSmall(): string;
    static get menuMessageLineHeightMedium(): string;
    static get menuMessageLineHeightLarge(): string;
    static menuItemGap: string;
    static menuHeaderColor: string;
    static menuHeaderLineHeightSmall: string;
    static menuHeaderLineHeightMedium: string;
    static menuHeaderLineHeightLarge: string;
    static menuHeaderFontSizeSmall: string;
    static menuHeaderFontSizeMedium: string;
    static menuHeaderFontSizeLarge: string;
    static menuHeaderPaddingXSmall: string;
    static menuHeaderPaddingTopSmall: string;
    static menuHeaderPaddingBottomSmall: string;
    static menuHeaderPaddingXMedium: string;
    static menuHeaderPaddingTopMedium: string;
    static menuHeaderPaddingBottomMedium: string;
    static menuHeaderPaddingXLarge: string;
    static menuHeaderPaddingTopLarge: string;
    static menuHeaderPaddingBottomLarge: string;
    static menuHeaderTotalCountPaddingTopSmall: string;
    static menuHeaderTotalCountPaddingTopMedium: string;
    static menuHeaderTotalCountPaddingTopLarge: string;
    static menuHeaderTotalCountPaddingBottomSmall: string;
    static menuHeaderTotalCountPaddingBottomMedium: string;
    static menuHeaderTotalCountPaddingBottomLarge: string;
    static get menuFooterColor(): string;
    static get menuFooterLineHeightSmall(): string;
    static get menuFooterLineHeightMedium(): string;
    static get menuFooterLineHeightLarge(): string;
    static get menuFooterFontSizeSmall(): string;
    static get menuFooterFontSizeMedium(): string;
    static get menuFooterFontSizeLarge(): string;
    static get menuFooterPaddingXSmall(): string;
    static get menuFooterPaddingXMedium(): string;
    static get menuFooterPaddingXLarge(): string;
    static get menuFooterPaddingTopSmall(): string;
    static get menuFooterPaddingTopMedium(): string;
    static get menuFooterPaddingTopLarge(): string;
    static get menuFooterPaddingBottomSmall(): string;
    static get menuFooterPaddingBottomMedium(): string;
    static get menuFooterPaddingBottomLarge(): string;
    static menuSeparatorBorderColor: string;
    static menuSeparatorMarginY: string;
    static menuSeparatorMarginX: string;
    static menuSeparatorBorderWidth: string;
    static mobileMenuSeparatorMarginY: string;
    static mobileMenuSeparatorMarginX: string;
    static get toggleLineHeightSmall(): string;
    static get toggleLineHeightMedium(): string;
    static get toggleLineHeightLarge(): string;
    static get toggleFontSizeSmall(): string;
    static get toggleFontSizeMedium(): string;
    static get toggleFontSizeLarge(): string;
    static get toggleTextColor(): string;
    static toggleHandleActiveWidthIncrement: string;
    static get toggleHandleBorderRadiusSmall(): string;
    static get toggleHandleBorderRadiusMedium(): string;
    static get toggleHandleBorderRadiusLarge(): string;
    static toggleHeightSmall: string;
    static toggleWidthSmall: string;
    static toggleHeightMedium: string;
    static toggleWidthMedium: string;
    static toggleHeightLarge: string;
    static toggleWidthLarge: string;
    static get toggleBorderRadiusSmall(): string;
    static get toggleBorderRadiusMedium(): string;
    static get toggleBorderRadiusLarge(): string;
    static toggleBaseBg: string;
    static toggleBgHover: string;
    static get toggleBorderWidth(): string;
    static get toggleOutlineWidth(): string;
    static toggleBorderColor: string;
    static get toggleBorderColorDisabled(): string;
    static toggleHandleSizeSmall: string;
    static toggleHandleSizeMedium: string;
    static toggleHandleSizeLarge: string;
    static toggleHandleLeft: string;
    static toggleHandleTop: string;
    static toggleBgFocus: string;
    static get toggleShadowColorError(): string;
    static get toggleShadowColorWarning(): string;
    static get toggleFocusShadowColor(): string;
    static toggleCaptionGap: string;
    static toggleButtonOffsetY: string;
    static get toggleOutlineColorFocus(): string;
    static toggleContainerBg: string;
    static toggleHandleBg: string;
    static toggleHandleBoxShadow: string;
    static toggleContainerBoxShadow: string;
    static toggleContainerBoxShadowHover: string;
    static toggleHandleBgHover: string;
    static toggleHandleBoxShadowHover: string;
    static get toggleContainerBgHover(): string;
    static toggleContainerBoxShadowChecked: string;
    static toggleHandleBoxShadowChecked: string;
    static toggleHandleBgChecked: string;
    static toggleBgChecked: string;
    static get toggleContainerBgChecked(): string;
    static toggleCheckedBg: string;
    static toggleCheckedBgHover: string;
    static toggleContainerBoxShadowCheckedHover: string;
    static toggleContainerBgCheckedHover: string;
    static toggleHandleBoxShadowCheckedHover: string;
    static toggleHandleBgCheckedHover: string;
    static toggleContainerBgDisabled: string;
    static toggleHandleBgDisabled: string;
    static toggleContainerBoxShadowDisabled: string;
    static toggleHandleBoxShadowDisabled: string;
    static toggleDisabledHandleBg: string;
    static get toggleBgDisabled(): string;
    static toggleContainerBgDisabledChecked: string;
    static toggleHandleBgDisabledChecked: string;
    static toggleContainerBoxShadowDisabledChecked: string;
    static toggleHandleBoxShadowDisabledChecked: string;
    static get toggleBorderColorDisabledChecked(): string;
    static toggleBgDisabledChecked: string;
    static popupBorder: string;
    static popupBorderRadius: string;
    static popupBorderColor: string;
    static popupDropShadow: string;
    static popupBoxShadow: string;
    static get popupTextColor(): string;
    static get popupBackground(): string;
    static popupPinOffsetX: string;
    static popupPinOffsetY: string;
    static popupMargin: string;
    static popupPinSize: string;
    static popupMenuMenuOffsetY: string;
    static get inputTextColor(): string;
    static inputShadow: string;
    static inputBg: string;
    static inputIconColor: string;
    static get inputIconColorDisabled(): string;
    static get inputFocusedIconColor(): string;
    static inputColor: string;
    static inputWidth: string;
    static get inputTextColorDisabled(): string;
    static get inputPlaceholderColorDisabled(): string;
    static get inputFontSizeSmall(): string;
    static get inputFontSizeMedium(): string;
    static get inputFontSizeLarge(): string;
    static get inputLineHeightSmall(): string;
    static get inputLineHeightMedium(): string;
    static get inputLineHeightLarge(): string;
    static get inputHeightSmall(): string;
    static get inputHeightMedium(): string;
    static get inputHeightLarge(): string;
    static get inputPaddingYSmall(): string;
    static get inputPaddingYMedium(): string;
    static get inputPaddingYLarge(): string;
    static inputPaddingXSmall: string;
    static inputPaddingXMedium: string;
    static inputPaddingXLarge: string;
    static inputIconGapSmall: string;
    static inputIconGapMedium: string;
    static inputIconGapLarge: string;
    static inputIconSizeSmall: string;
    static inputIconSizeMedium: string;
    static inputIconSizeLarge: string;
    static get inputFocusShadow(): string;
    static get inputFocusedBg(): string;
    static get inputDisabledBg(): string;
    static get inputDisabledBorderColor(): string;
    static get inputFocusOutline(): string;
    static get inputBorderWidth(): string;
    static get inputOutlineWidth(): string;
    static inputBackgroundClip: string;
    static inputBorderRadiusSmall: string;
    static inputBorderRadiusMedium: string;
    static inputBorderRadiusLarge: string;
    static inputDisabledBackgroundClip: string;
    static inputBorderColor: string;
    static get inputBorderColorHover(): string;
    static get inputBorderColorFocus(): string;
    static get inputBorderColorError(): string;
    static get inputBorderColorWarning(): string;
    static get inputBorderTopColor(): string;
    static get inputPlaceholderColor(): string;
    static get inputPlaceholderColorLight(): string;
    static inputBlinkColor: string;
    static inputColorScheme: string;
    static get checkboxFontSizeSmall(): string;
    static get checkboxFontSizeMedium(): string;
    static get checkboxFontSizeLarge(): string;
    static get checkboxLineHeightSmall(): string;
    static get checkboxLineHeightMedium(): string;
    static get checkboxLineHeightLarge(): string;
    static checkboxBoxSizeSmall: string;
    static checkboxBoxSizeMedium: string;
    static checkboxBoxSizeLarge: string;
    static checkboxCaptionGap: string;
    static get checkboxPaddingYSmall(): string;
    static get checkboxPaddingYMedium(): string;
    static get checkboxPaddingYLarge(): string;
    static checkboxPaddingXSmall: string;
    static checkboxPaddingXMedium: string;
    static checkboxPaddingXLarge: string;
    static checkboxBoxOffsetY: string;
    static checkboxBgStart: string;
    static checkboxBgEnd: string;
    static get checkboxTextColorDefault(): string;
    static get checkboxTextColorDisabled(): string;
    static get checkboxShadowDisabled(): string;
    static checkboxBorder: string;
    static get checkboxBorderWidth(): string;
    static get checkboxShadow(): string;
    static get checkboxShadowHover(): string;
    static checkboxCheckedColor: string;
    static get checkboxOutlineColorFocus(): string;
    static get checkboxBorderColorWarning(): string;
    static get checkboxBorderColorError(): string;
    static get checkboxCheckedHoverShadow(): string;
    static checkboxBorderRadius: string;
    static get checkboxOutlineWidth(): string;
    static get checkboxCheckedShadow(): string;
    static get checkboxCheckedActiveShadow(): string;
    static get checkboxBorderColorFocus(): string;
    static checkboxBg: string;
    static get checkboxHoverBg(): string;
    static get checkboxActiveBg(): string;
    static get checkboxCheckedBg(): string;
    static get checkboxBgDisabled(): string;
    static checkboxCheckedHoverBg: string;
    static get checkboxCheckedActiveBg(): string;
    static get checkboxShadowActive(): string;
    static textareaBg: string;
    static get textareaColor(): string;
    static get textareaTextColorDisabled(): string;
    static get textareaPlaceholderColorLight(): string;
    static get textareaPlaceholderColor(): string;
    static get textareaPlaceholderColorDisabled(): string;
    static textareaShadow: string;
    static textareaBackgroundClip: string;
    static get textareaFontSizeSmall(): string;
    static get textareaFontSizeMedium(): string;
    static get textareaFontSizeLarge(): string;
    static get textareaLineHeightSmall(): string;
    static get textareaLineHeightMedium(): string;
    static get textareaLineHeightLarge(): string;
    static textareaBorderRadius: string;
    static get textareaBorderWidth(): string;
    static get textareaOutlineWidth(): string;
    static get textareaMinHeightSmall(): string;
    static get textareaMinHeightMedium(): string;
    static get textareaMinHeightLarge(): string;
    static textareaWidth: string;
    static textareaPaddingXSmall: string;
    static textareaPaddingXMedium: string;
    static textareaPaddingXLarge: string;
    static get textareaPaddingYSmall(): string;
    static get textareaPaddingYMedium(): string;
    static get textareaPaddingYLarge(): string;
    static get textareaBorderColor(): string;
    static textareaBorderTopColor: string;
    static get textareaBorderColorFocus(): string;
    static get textareaBorderColorHover(): string;
    static get textareaBorderColorWarning(): string;
    static get textareaBorderColorError(): string;
    static get textareaDisabledBg(): string;
    static get textareaDisabledBorderColor(): string;
    static get textareaCounterColor(): string;
    static get textareaCounterBg(): string;
    static get textareaCounterErrorColor(): string;
    static get textareaCounterHelpIconColor(): string;
    static textareaMargin: string;
    static textareaVerticalAlign: string;
    static radioBulletSizeSmall: string;
    static radioBulletSizeMedium: string;
    static radioBulletSizeLarge: string;
    static get radioOutlineWidth(): string;
    static get radioTextColor(): string;
    static radioSizeSmall: string;
    static radioSizeMedium: string;
    static radioSizeLarge: string;
    static get radioFontSizeSmall(): string;
    static get radioFontSizeMedium(): string;
    static get radioFontSizeLarge(): string;
    static get radioLineHeightSmall(): string;
    static get radioLineHeightMedium(): string;
    static get radioLineHeightLarge(): string;
    static radioCaptionGap: string;
    static get radioPaddingYSmall(): string;
    static get radioPaddingYMedium(): string;
    static get radioPaddingYLarge(): string;
    static radioVerticalAlign: string;
    static radioBgImage: string;
    static radioBgColor: string;
    static get radioHoverBg(): string;
    static get radioActiveBg(): string;
    static get radioBorderWidth(): string;
    static get radioBorderColor(): string;
    static radioBoxShadow: string;
    static get radioBorder(): string;
    static get radioBorderColorFocus(): string;
    static get radioBorderColorWarning(): string;
    static get radioBorderColorError(): string;
    static radioHoverShadow: string;
    static radioActiveShadow: string;
    static get radioFocusShadow(): string;
    static get radioCheckedBgColor(): string;
    static radioCheckedBorderColor: string;
    static radioCheckedBulletColor: string;
    static get radioCheckedHoverBgColor(): string;
    static radioDisabledBg: string;
    static get radioDisabledShadow(): string;
    static radioCaptionDisplay: string;
    static radioBorderWidthCompensation: string;
    static radioCircleOffsetY: string;
    static get radioCheckedDisabledBulletBg(): string;
    static get tabFontSizeSmall(): string;
    static get tabFontSizeMedium(): string;
    static get tabFontSizeLarge(): string;
    static get tabLineHeightSmall(): string;
    static get tabLineHeightMedium(): string;
    static get tabLineHeightLarge(): string;
    static tabPaddingXSmall: string;
    static tabPaddingXMedium: string;
    static tabPaddingXLarge: string;
    static get tabPaddingYSmall(): string;
    static get tabPaddingYMedium(): string;
    static get tabPaddingYLarge(): string;
    static tabBorderWidth: string;
    static get tabOutlineWidth(): string;
    static get tabTextColorDefault(): string;
    static get tabColorFocus(): string;
    static get tabColorError(): string;
    static get tabColorWarning(): string;
    static get tabColorSuccess(): string;
    static get tabColorPrimary(): string;
    static tabColorHover: string;
    static get tabColorHoverError(): string;
    static get tabColorHoverWarning(): string;
    static get tabColorHoverSuccess(): string;
    static get tabColorHoverPrimary(): string;
    static tabIndicatorBorderRadius: string;
    static get spinnerBgColor(): string;
    static get spinnerColor(): string;
    static get spinnerDimmedColor(): string;
    static get spinnerCaptionColor(): string;
    static get spinnerFontSizeSmall(): string;
    static get spinnerFontSizeMedium(): string;
    static get spinnerFontSizeLarge(): string;
    static get spinnerLineHeightSmall(): string;
    static get spinnerLineHeightMedium(): string;
    static get spinnerLineHeightLarge(): string;
    static spinnerCaptionGapSmall: string;
    static spinnerCaptionGapMedium: string;
    static spinnerCaptionGapLarge: string;
    static spinnerCaptionMarginSmall: string;
    static spinnerCaptionMarginMedium: string;
    static spinnerCaptionMarginLarge: string;
    static switcherBorderRadius: string;
    static get switcherTextColor(): string;
    static get switcherOutlineWidth(): string;
    static get switcherCaptionFontSizeSmall(): string;
    static get switcherCaptionFontSizeMedium(): string;
    static get switcherCaptionFontSizeLarge(): string;
    static get switcherCaptionLineHeightSmall(): string;
    static get switcherCaptionLineHeightMedium(): string;
    static get switcherCaptionLineHeightLarge(): string;
    static get switcherCaptionGapSmall(): string;
    static get switcherCaptionGapMedium(): string;
    static get switcherCaptionGapLarge(): string;
    static switcherButtonPaddingXSmall: string;
    static switcherButtonPaddingXMedium: string;
    static switcherButtonPaddingXLarge: string;
    static get switcherButtonPaddingYSmall(): string;
    static get switcherButtonPaddingYMedium(): string;
    static get switcherButtonPaddingYLarge(): string;
    static get switcherButtonLineHeightSmall(): string;
    static get switcherButtonLineHeightMedium(): string;
    static get switcherButtonLineHeightLarge(): string;
    static get switcherButtonFontSizeSmall(): string;
    static get switcherButtonFontSizeMedium(): string;
    static get switcherButtonFontSizeLarge(): string;
    static get switcherButtonBorderRadiusSmall(): string;
    static get switcherButtonBorderRadiusMedium(): string;
    static get switcherButtonBorderRadiusLarge(): string;
    static get switcherButtonBorderWidth(): string;
    static switcherBtnDisabledBorderColor: string;
    static get switcherButtonDisabledBorderColor(): string;
    static get switcherButtonCheckedDisabledShadow(): string;
    static mobilePopupTopPadding: string;
    static mobilePopupContainerBottomPadding: string;
    static mobilePopupHeaderPadding: string;
    static mobilePopupFooterPadding: string;
    static mobilePopupContainerBorderRadius: string;
    static get mobilePopupHeaderFontSize(): string;
    static get mobilePopupHeaderLineHeight(): string;
    static mobilePopupHeaderFontWeight: string;
    static mobilePopupHeaderChildPadding: string;
    static mobilePopupOuterIndentY: string;
    static scrollContainerScrollBarSize: string;
    static scrollContainerScrollBarHoverSize: string;
    static scrollContainerScrollBarColor: string;
    static scrollContainerScrollBarInvertColor: string;
    static scrollContainerScrollBarOffsetY: string;
    static dropdownMenuScrollContainerScrollBarOffsetY: string;
    static passwordInputVisibilityIconColor: string;
    static passwordInputVisibilityIconOpacity: string;
    static passwordInputVisibilityIconHoverColor: string;
    static passwordInputVisibilityIconHoverOpacity: string;
    static get globalLoaderColor(): string;
    static globalLoaderHeight: string;
    static globalLoaderWidth: string;
    static globalLoaderPosition: string;
    static globalLoaderTop: string;
    static globalLoaderLeft: string;
    static globalLoaderBottom: string;
    static globalLoaderRight: string;
    static globalLoaderBackgroundColor: string;
    static globalLoaderTransitionToSpinnerDuration: string;
    static globalLoaderSpinnerAnimationDuration: string;
    static globalLoaderSlowAnimationDuration: string;
    static globalLoaderTransitionFromSpinnerDuration: string;
    static fileUploaderWidth: string;
    static fileUploaderTileWidth: string;
    static fileUploaderBg: string;
    static fileUploaderUploadButtonBg: string;
    static get fileUploaderPaddingYSmall(): string;
    static get fileUploaderPaddingYMedium(): string;
    static get fileUploaderPaddingYLarge(): string;
    static get fileUploaderPaddingXSmall(): string;
    static get fileUploaderPaddingXMedium(): string;
    static get fileUploaderPaddingXLarge(): string;
    static fileUploaderTilePaddingSmall: string;
    static fileUploaderTilePaddingMedium: string;
    static fileUploaderTilePaddingLarge: string;
    static get fileUploaderTileIconActionPositionSmall(): string;
    static get fileUploaderTileIconActionPositionMedium(): string;
    static get fileUploaderTileIconActionPositionLarge(): string;
    static fileUploaderTileFilePaddingSmall: string;
    static fileUploaderTileFilePaddingMedium: string;
    static fileUploaderTileFilePaddingLarge: string;
    static fileUploaderTileIconActionPaddingSmall: string;
    static fileUploaderTileIconActionPaddingMedium: string;
    static fileUploaderTileIconActionPaddingLarge: string;
    static get fileUploaderFontSizeSmall(): string;
    static get fileUploaderFontSizeMedium(): string;
    static get fileUploaderFontSizeLarge(): string;
    static get fileUploaderLineHeightSmall(): string;
    static get fileUploaderLineHeightMedium(): string;
    static get fileUploaderLineHeightLarge(): string;
    static get fileUploaderTextColorDefault(): string;
    static fileUploaderBorderRadius: string;
    static fileUploaderBorderColor: string;
    static get fileUploaderBorderWidth(): string;
    static get fileUploaderDisabledBorder(): string;
    static fileUploaderBorderStyle: string;
    static get fileUploaderBorderColorFocus(): string;
    static get fileUploaderLinkColor(): string;
    static fileUploaderAfterLinkColor: string;
    static fileUploaderIconSize: string;
    static fileUploaderIconColor: string;
    static fileUploaderIconHoverColor: string;
    static fileUploaderTileIconColorBg: string;
    static fileUploaderTileIconHoverColorBg: string;
    static fileUploaderTileIconActiveColorBg: string;
    static fileUploaderTileIconColor: string;
    static fileUploaderTileIconHoverColor: string;
    static get fileUploaderBorderColorError(): string;
    static get fileUploaderBorderColorWarning(): string;
    static get fileUploaderDisabledBg(): string;
    static fileUploaderDisabledBgClip: string;
    static fileUploaderDisabledBorderColor: string;
    static get fileUploaderDisabledTextColor(): string;
    static get fileUploaderDisabledLinkColor(): string;
    static get fileUploaderDisabledIconColor(): string;
    static get fileUploaderErrorColor(): string;
    static fileUploaderErrorBgColor: string;
    static fileUploaderErrorBgHoverColor: string;
    static get fileUploaderErrorTextColor(): string;
    static fileUploaderWarningBgColor: string;
    static fileUploaderWarningBgHoverColor: string;
    static get fileUploaderWarningTextColor(): string;
    static fileUploaderValidationTextColor: string;
    static fileUploaderLinkHoverTextDecoration: string;
    static fileUploaderHoveredBg: string;
    static fileUploaderActiveBg: string;
    static fileUploaderHoveredBorderColor: string;
    static fileUploaderIconGapSmall: string;
    static fileUploaderIconGapMedium: string;
    static fileUploaderIconGapLarge: string;
    static get fileUploaderDragOverBorderColor(): string;
    static fileUploaderDragOverShadow: string;
    static get fileUploaderIconSizeSmall(): string;
    static get fileUploaderIconSizeMedium(): string;
    static get fileUploaderIconSizeLarge(): string;
    static get fileUploaderFileTypeErrorIconColor(): string;
    static get fileUploaderFileTypeWarningIconColor(): string;
    static get fileUploaderFileTypePdfIconColor(): string;
    static fileUploaderFileTypeCodeIconColor: string;
    static fileUploaderFileTypePictureIconColor: string;
    static fileUploaderFileTypePresentationIconColor: string;
    static fileUploaderFileTypeTableIconColor: string;
    static fileUploaderFileTypeTextIconColor: string;
    static fileUploaderFileTypeArchiveIconColor: string;
    static fileUploaderFileTypeFolderIconColor: string;
    static fileUploaderFileTypeUnknownIconColor: string;
    static get fileUploaderDisabledFileTypeIcon(): string;
    static fileUploaderDisabledColor: string;
    static fileUploaderFileHeightSmall: string;
    static fileUploaderFileHeightMedium: string;
    static fileUploaderFileHeightLarge: string;
    static fileUploaderTileWidthSmall: string;
    static fileUploaderTileWidthMedium: string;
    static fileUploaderTileWidthLarge: string;
    static fileUploaderTileMinHeightSmall: string;
    static fileUploaderTileMinHeightMedium: string;
    static fileUploaderTileMinHeightLarge: string;
    static fileUploaderTileHeightSmall: string;
    static fileUploaderTileHeightMedium: string;
    static fileUploaderTileHeightLarge: string;
    static fileUploaderFileSizeWidthSmall: string;
    static fileUploaderFileSizeWidthMedium: string;
    static fileUploaderFileSizeWidthLarge: string;
    static fileUploaderFileSizeMarginLeft: string;
    static fileUploaderFileSizeMarginSmall: string;
    static fileUploaderFileSizeMarginMedium: string;
    static fileUploaderFileSizeMarginLarge: string;
    static fileUploaderFileIconSizeSmall: string;
    static fileUploaderFileIconSizeMedium: string;
    static fileUploaderFileIconSizeLarge: string;
    static fileUploaderTileIconSizeSmall: string;
    static fileUploaderTileIconSizeMedium: string;
    static fileUploaderTileIconSizeLarge: string;
    static fileUploaderTileTypeIconHeightSmall: string;
    static fileUploaderTileTypeIconHeightMedium: string;
    static fileUploaderTileTypeIconHeightLarge: string;
    static fileUploaderListGap: string;
    static fileUploaderListSummaryTextGap: string;
    static get clearCrossIconWidthSmall(): string;
    static get clearCrossIconWidthMedium(): string;
    static get clearCrossIconWidthLarge(): string;
    static get clearCrossIconHeightSmall(): string;
    static get clearCrossIconHeightMedium(): string;
    static get clearCrossIconHeightLarge(): string;
    static get clearCrossIconRightMarginSmall(): string;
    static get clearCrossIconRightMarginMedium(): string;
    static get clearCrossIconRightMarginLarge(): string;
    static get clearCrossIconBorderRadiusSmall(): string;
    static get clearCrossIconBorderRadiusMedium(): string;
    static get clearCrossIconBorderRadiusLarge(): string;
    static clearCrossIconColor: string;
    static clearCrossIconHoverColor: string;
    static clearCrossIconAlign: string;
    static get closeBtnIconColor(): string;
    static closeBtnIconDisabledColor: string;
    static closeBtnIconHoverColor: string;
    static closeBtnIconBorderRadius: string;
    static get closeBtnIconFocusShadow(): string;
    static get autocompleteMenuOffsetY(): string;
    static get comboboxMenuOffsetY(): string;
    static miniModalHeaderPaddingBottom: string;
    static miniModalBodyPaddingTop: string;
    static miniModalBodyPaddingBottom: string;
    static miniModalDescriptionFontSize: string;
    static miniModalDescriptionLineHeight: string;
    static miniModalHeaderPaddingTop: string;
    static miniModalActionGap: string;
    static miniModalCancelIndent: string;
    static miniModalFooterPaddingTop: string;
    static miniModalFooterPaddingBottom: string;
    static miniModalTitleMarginTop: string;
    static miniModalHeightMobile: string;
    static miniModalMarginTopMobile: string;
    static miniModalMarginLeftMobile: string;
    static miniModalMarginRightMobile: string;
    static miniModalFooterPaddingMobile: string;
    static miniModalHeaderPaddingMobile: string;
    static miniModalBodyPaddingMobile: string;
    static get validationsTextColorError(): string;
    static validationsTextColorWarning: string;
}
export declare const BasicTheme: Readonly<typeof BasicThemeClass>;
export declare const BasicThemeClassForExtension: typeof BasicThemeClass;
